shishi_as_check_crealm(3)

NAME
shishi_as_check_crealm - API function

SYNOPSIS
#include <shishi.h>

int shishi_as_check_crealm(Shishi * handle, Shishi_asn1 asreq, Shishi_asn1 asrep);

ARGUMENTS

Shishi * handle
    Shishi handle as allocated by shishi_init().

Shishi_asn1 asreq
    Request of type AS-REQ.

Shishi_asn1 asrep
    Reply structure of type AS-REP.

DESCRIPTION
Verifies that the fields asreq.req-body.realm and asrep.crealm contain identical realm names. This is one of the steps that has to be performed when processing an exchange of AS-REQ and AS-REP; see shishi_kdc_process() for more details.

RETURN VALUE
Returns SHISHI_OK if successful, SHISHI_REALM_MISMATCH whenever the realm names differ, and an error code otherwise.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.